Request paid plan change
curl --request POST \
--url https://api.instacloud.com/orgs/{orgId}/billing/plan-change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tier": "free",
"idempotencyKey": "<string>",
"expectedFeeCents": 4503599627370495
}
'import requests
url = "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
payload = {
"tier": "free",
"idempotencyKey": "<string>",
"expectedFeeCents": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tier: 'free', idempotencyKey: '<string>', expectedFeeCents: 4503599627370495})
};
fetch('https://api.instacloud.com/orgs/{orgId}/billing/plan-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instacloud.com/orgs/{orgId}/billing/plan-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tier' => 'free',
'idempotencyKey' => '<string>',
'expectedFeeCents' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
payload := strings.NewReader("{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromTier": "<string>",
"toTier": "<string>",
"status": "awaiting_payment",
"effectiveAt": "2023-11-07T05:31:56Z",
"includedUsd": 123,
"changeKind": "upgrade",
"renewalAt": "2023-11-07T05:31:56Z",
"cancellable": true,
"paymentUrl": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Billing
Request paid plan change
Token scope: account · org — read-only tokens refused (not a GET).
Free → paid takes effect once paid; Pro → Team next UTC day after payment; downgrade at the current paid period end (owner/admin)
POST
/
orgs
/
{orgId}
/
billing
/
plan-change
Request paid plan change
curl --request POST \
--url https://api.instacloud.com/orgs/{orgId}/billing/plan-change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tier": "free",
"idempotencyKey": "<string>",
"expectedFeeCents": 4503599627370495
}
'import requests
url = "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
payload = {
"tier": "free",
"idempotencyKey": "<string>",
"expectedFeeCents": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tier: 'free', idempotencyKey: '<string>', expectedFeeCents: 4503599627370495})
};
fetch('https://api.instacloud.com/orgs/{orgId}/billing/plan-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instacloud.com/orgs/{orgId}/billing/plan-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tier' => 'free',
'idempotencyKey' => '<string>',
'expectedFeeCents' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
payload := strings.NewReader("{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tier\": \"free\",\n \"idempotencyKey\": \"<string>\",\n \"expectedFeeCents\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromTier": "<string>",
"toTier": "<string>",
"status": "awaiting_payment",
"effectiveAt": "2023-11-07T05:31:56Z",
"includedUsd": 123,
"changeKind": "upgrade",
"renewalAt": "2023-11-07T05:31:56Z",
"cancellable": true,
"paymentUrl": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session access JWT or an API token (insta_<prefix>_<secret>).
Path Parameters
Body
application/json
Available options:
free Required string length:
1 - 128Pattern:
^[A-Za-z0-9._:-]+$Required for Pro/Team: amount due now accepted from the options response, excluding tax; zero for a scheduled downgrade. Omit for Free.
Required range:
0 <= x <= 9007199254740991Response
Default Response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
awaiting_payment Available options:
upgrade